Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.transform
Class JDOMSource

    java.lang.Object
      |
      +--javax.xml.transform.sax.SAXSource
            |
            +--org.jdom.transform.JDOMSource

public class JDOMSource
extends SAXSource

Acts as an holder for JDOM document sources.

This class shall be used to wrap a JDOM Document to provide it as input to a JAXP Transformer

The following example shows how to apply an XSL Transformation to a JDOM document and get the transformation result in the form of another JDOM Document:

>        public static Document transform(Document in, String stylesheet)
>                                             throws JDOMException {
>          try {
>            Transformer transformer = TransformerFactory.newInstance()
>               .newTransformer(new StreamSource(stylesheet));

>            JDOMResult out = new JDOMResult();
>            transformer.transform(new JDOMSource(in), out);
>            return out.getDocument();
>          }
>          catch (TransformerException e) {
>            throw new JDOMException("XSLT Trandformation failed", e);
>          }
>        }

Author:
  Laurent Bihanic, Jason Hunter
See Also:
  `JDOMResult`

Field Summary
`static String` | `JDOM_FEATURE` If `TransformerFactory.getFeature(java.lang.String)` returns `true` when passed this value as an argument, the Transformer natively supports JDOM.

Fields inherited from class javax.xml.transform.sax.SAXSource
`FEATURE`

Constructor Summary
`JDOMSource(Document source)` Creates a JDOM TRaX source wrapping a JDOM document.

Method Summary
`Document` | `getDocument()` Returns the source document used by this TRaX source.
`XMLReader` | `getXMLReader()` Returns the XMLReader to be used for the Source.
`void` | `setDocument(Document source)` Sets the source document used by this TRaX source.
`void` | `setInputSource(InputSource inputSource)` Sets the SAX InputSource to be used for the Source.
`void` | `setXMLReader(XMLReader reader)` Set the XMLReader to be used for the Source.

Methods inherited from class javax.xml.transform.sax.SAXSource
`getInputSource, getSystemId, setSystemId, sourceToInputSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JDOM_FEATURE

    public static final String JDOM_FEATURE

  If `TransformerFactory.getFeature(java.lang.String)` returns `true` when passed this value as an argument, the Transformer natively supports JDOM.

  Note: This implementation does not override the `SAXSource.FEATURE` value defined by its superclass to be considered as a SAXSource by Transformer implementations not natively supporting JDOM.

Constructor Detail

### JDOMSource

    public JDOMSource(Document source)

  Creates a JDOM TRaX source wrapping a JDOM document.
  Parameters:
    `source` - the JDOM document to use as source for the transformations
  Throws:
    NullPointerException - if `source` is `null`.
  See Also:
    `setDocument(org.jdom.Document)`

Method Detail

### setDocument

    public void setDocument(Document source)

  Sets the source document used by this TRaX source.
  Parameters:
    `source` - the JDOM document to use as source for the transformations
  Throws:
    NullPointerException - if `source` is `null`.
  See Also:
    `getDocument()`

### getDocument

    public Document getDocument()

  Returns the source document used by this TRaX source.
  Returns:
    the source document used by this TRaX source or `null` if none has been set.
  See Also:
    `setDocument(org.jdom.Document)`

### setInputSource

    public void setInputSource(InputSource inputSource)
                        throws UnsupportedOperationException

  Sets the SAX InputSource to be used for the Source.

  As this implementation only supports JDOM document as data source, this method always throws an `UnsupportedOperationException`.

  Overrides:
    setInputSource in class SAXSource
  Parameters:
    `inputSource` - a valid InputSource reference.
  Throws:
    UnsupportedOperationException - always!

### setXMLReader

    public void setXMLReader(XMLReader reader)
                      throws UnsupportedOperationException

  Set the XMLReader to be used for the Source.

  As this implementation only supports JDOM document as data source, this method throws an `UnsupportedOperationException` if the provided reader object does not implement the SAX `XMLFilter` interface. Otherwise, the JDOM document reader will be attached as parent of the filter chain.

  Overrides:
    setXMLReader in class SAXSource
  Parameters:
    `reader` - a valid XMLReader or XMLFilter reference.
  Throws:
    UnsupportedOperationException - always!
  See Also:
    `getXMLReader()`

### getXMLReader

    public XMLReader getXMLReader()

  Returns the XMLReader to be used for the Source.

  This implementation returns a specific XMLReader reading the XML data from the source JDOM document.

  Overrides:
    getXMLReader in class SAXSource
  Returns:
    an XMLReader reading the XML data from the source JDOM document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.